/***************************************************************************
                          guicreateuser.cpp  -  description
                             -------------------
    begin                : Do Nov 4 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "guicreateuser.h"
#include <qfiledialog.h>


/**
* class to create new user via dialog
*
*@param main
*@param parent the parent dialog of this widget
*@param name widgets title
*@param hobit
*/
GuiCreateUser::GuiCreateUser( QWidget *parent, const char *name, HoBIT* hobit)
    : GuiCreateUserBase(parent,name)
{
  _hobit = hobit;
}

GuiCreateUser::~GuiCreateUser()
{
qDebug("Destructor GuiCreateUser finished");
}

/**
* called after accept button is pressed 
*/
void GuiCreateUser::accept()
{

  // get information from the input mask
  string userid = lineEditUserId->text().ascii();
  string bankid = lineEditBankId->text().ascii();
  string custid = lineEditCustId->text().ascii();
  string server = lineEditServer->text().ascii();
  string mediumPath = lineEditMediumPath->text().ascii();

  string mediumtype;
  int country = MONEYPENNY_DEFAULT_COUNTRY;

  if (comboBoxMediumType->currentItem() == 0)
    mediumtype = "RDHFile";
  else mediumtype = "DECCard";

  // create user
  _hobit->createUser(mediumPath,
                     mediumtype,
                     false,
                     country,
                     bankid,
                     HoBIT_Bank::convertHBCIVersionString(comboBoxHBCI->currentText()),
                     custid,
                     custid,
                     server);


   emit refreshRequest();


  return GuiCreateUserBase::accept();
}

/**
* Calls a file select dialog.
*/
void GuiCreateUser::slotSelectFile()
{
  QString fileName = QFileDialog::getOpenFileName(0,"HBCI key files (*.key)",this);//TODO: specify dialog properties, see QT docs.
  if (!fileName.isEmpty())
    lineEditMediumPath->setText(fileName);
}
