/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GUIDATAEXPORT_H
#define GUIDATAEXPORT_H

#include <guidataexportbase.h>
#include <qtable.h>
#include <string>
using namespace std;

/**
This is MoneyPenny's data export dialog, which allows exporting data to csv-format. 

@author Marcel Mulch
*/
class GuiDataExport : public GuiDataExportBase
{
Q_OBJECT
public:
    GuiDataExport(QWidget *parent, const char *name = 0);
    ~GuiDataExport();
    virtual void exportSQL();  
    virtual void slotBack();
	
public slots:

    virtual void slotSelectFile();
    virtual void slotExport(); 
    virtual void exportCSV();
    virtual void setTableToExport(QTable* table);
    virtual void setMountPoint(string mp);
    virtual void slotChangeSelection();

signals:
    void back();
    void exportSQL(QString path);

private:
 QTable* _table;
 string _mountpoint;
 string _filepath;
 QTextStream::Encoding _Encoding;
};

#endif
