/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GUIDIALIN_H
#define GUIDIALIN_H

#include "guidialinbase.h"

class QProcess;

/**
@author Walter Roth
*/
class GuiDialIn : public GuiDialInBase
{
    Q_OBJECT
public:
    GuiDialIn(QWidget* parent = 0, const char* name = 0);

    virtual ~GuiDialIn();

public slots:
    /** Dial in via Modem.
    */
    virtual void slotModem();
    /** Dial in via ISDN.
    */
    virtual void slotISDN();
    /** Dial in via DSL.
    */
    virtual void slotDSL();
    /** Call browser to activate router via http.
    */
    virtual void slotLAN();
    /** Call browser to activate router via http.
    */
    virtual void slotWLAN();
    /** Dial in via GPRS.
    */
    virtual void slotGPRS();
    /** Emits signal finished()
    */
    virtual void slotFinished();
    /** Called when process has finished. Issues successor failure messages.
    */
    void slotProcessExited();

 signals:
    void finished();

private:     
     // process to be executed
  QProcess* _Process;    

  int _ProcessType;
};

#endif
