/***************************************************************************
                          guihbciversion.cpp  -  description
                             -------------------
    begin                : Fr Nov 5 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "guihbciversion.h"

/**
*this is the constructor of dialog for change the hbci-version 
*
*@param main 
*@param parent the parent dialog of this widget
*@param name widgets title
*@param hobit
*/
GuiHbciVersion::GuiHbciVersion(QWidget *parent, const char *name, HoBIT* hobit)
    :GuiHbciVersionBase(parent,name)
{
  _hobit = hobit;
}

GuiHbciVersion::~GuiHbciVersion()
{
qDebug("Destructor GuiHbciVersion finished");
}


/**
* Changes the Hbci Version when the user chooses ok 
*/
void GuiHbciVersion::accept()
{

  int val = comboBoxVersion->currentItem();
  bool ok = false;

  switch (val)
  {

  case 0:   ok =  _hobit->changeHbciVersion(220);
            break;
  case 1:   ok =  _hobit->changeHbciVersion(210);
            break;
  case 2:   ok =  _hobit->changeHbciVersion(201);
            break;
  }

  emit refreshRequest();


  if (!ok) QMessageBox::critical(this, tr("Not supported"),
                                   tr("Your bank is not defined or does not support the HBCI version you selected."));

  else return GuiHbciVersionBase::accept();
}
