/***************************************************************************
                          listviewitems.h  -  description
                             -------------------
    begin                : Mo Nov 15 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LISTVIEWITEMS_H
#define LISTVIEWITEMS_H

#include <qlistview.h>
#include <qtable.h>
#include "transaction.h"
#include "datedtransfer.h"
#include "standingorder.h"
#include <openhbci2/pointer.h>

/** This file consists different versions of the qlistviewitem,
  * which can store transactions, standing orders and dated transfers
  *@author Marcel Mulch
  */

class DatedTransferItem  {
public:


  DatedTransferItem(QTable* table, int row, Pointer<DatedTransfer> dt);
  virtual ~DatedTransferItem();
  virtual const Pointer<DatedTransfer> datedTransfer();
  /** Encodes the Transaction data as an html- table row string.
  */
  QString htmlTableRow(const QString & bgColor);

private: // Private attributes
  Pointer<DatedTransfer> _DatedTransfer;
  QTableItem *_OtherName;
  QTableItem *_Date;
  QTableItem *_Purpose;
  QTableItem *_Value;
};






class StandingOrderItem  {
public:

  StandingOrderItem(QTable * table, int row, Pointer<StandingOrder> so);
  virtual ~StandingOrderItem();

  virtual const Pointer<StandingOrder> standingOrder();
   /** Encodes the Transaction data as an html- table row string.
  */
  QString htmlTableRow(const QString & bgColor);

private: // Private attributes
  Pointer<StandingOrder> _StandingOrder;
  QTableItem *_OtherName;
  QTableItem *_Purpose;
  QTableItem *_Value;
  QTableItem *_Day;
  QTableItem *_Interval;
};

/** A QListviewItem that supports multiline texts. Height is set automatically according
  * to the maximum number of lines.
  */
class HoBIT_ListViewItem : public QListViewItem{
  public:
    HoBIT_ListViewItem ( QListView * parent, 
    QString label1, QString label2 = QString::null, QString label3 = QString::null, QString label4 = QString::null, 
    QString label5 = QString::null, QString label6 = QString::null, QString label7 = QString::null, QString label8 = QString::null);
    
    ~HoBIT_ListViewItem ();
    
    /**This computes the multiline height
    */
    virtual void setup();
  private:
    int _LineHeight;
};


#endif
